aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/release-jjb-chinook-release/include-release-jjb-chinook-release-move-sandbox.sh
diff options
context:
space:
mode:
authorJan-Simon Möller <jsmoeller@linuxfoundation.org>2017-03-08 00:52:16 +0100
committerJan-Simon Möller <jsmoeller@linuxfoundation.org>2017-03-08 00:52:16 +0100
commitb57be0da7c78c52ca5324dca325941b23d79a902 (patch)
tree220e2d234a58191d054419c4bc46c3a6ae27b574 /jjb/release-jjb-chinook-release/include-release-jjb-chinook-release-move-sandbox.sh
parentf37c3b60c7cbe5bdba30ee0cb60168987d7c1e49 (diff)
Move rc build instead of rebuilding
Change-Id: I4de8f995a25536db89d133b71a101b39254802ab Signed-off-by: Jan-Simon Möller <jsmoeller@linuxfoundation.org>
Diffstat (limited to 'jjb/release-jjb-chinook-release/include-release-jjb-chinook-release-move-sandbox.sh')
-rw-r--r--jjb/release-jjb-chinook-release/include-release-jjb-chinook-release-move-sandbox.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/jjb/release-jjb-chinook-release/include-release-jjb-chinook-release-move-sandbox.sh b/jjb/release-jjb-chinook-release/include-release-jjb-chinook-release-move-sandbox.sh
new file mode 100644
index 00000000..536f726b
--- /dev/null
+++ b/jjb/release-jjb-chinook-release/include-release-jjb-chinook-release-move-sandbox.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+#set -x
+set -e
+
+if test x"" = x"${RELEASE_BRANCH}"; then
+ echo "RELEASE_BRANCH invalid"
+ exit 1
+fi
+
+if test x"" = x"${RELEASE_VERSION}"; then
+ echo "RELEASE_VERSION invalid"
+ exit 1
+fi
+
+
+export REMOTESRC="/src/download/AGL/upload/ci/${RELEASE_BRANCH}/${RELEASE_VERSION}/"
+export REMOTEDST="/srv/download/AGL/release/${RELEASE_BRANCH}/${RELEASE_VERSION}/"
+
+if test x"yes" = x"$UPLOAD" ; then
+ ssh -o StrictHostKeyChecking=no jenkins-slave@10.30.72.8 mkdir -p ${REMOTEDST}
+ ssh -o StrictHostKeyChecking=no jenkins-slave@10.30.72.8 mv ${REMOTESRC}/* ${REMOTEDST}/
+ ssh -o StrictHostKeyChecking=no jenkins-slave@10.30.72.8 rm -r ${REMOTESRC}
+ ssh -o StrictHostKeyChecking=no jenkins-slave@10.30.72.8 sh -c "cd /srv/download/AGL/release/${RELEASE_BRANCH}/ ; rm latest ; ln -sf ${RELEASE_VERSION} latest ; echo ${RELEASE_VERSION} > latest.txt" || true
+fi
+
+exit 0 \ No newline at end of file